import request from '@/utils/request'

// 获取冰排列表
export function getIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'get',
    params: parameter
  })
}

// 添加冰排
export function addIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'post',
    data: parameter
  })
}

// 编辑冰排
export function putIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'put',
    data: parameter
  })
}

// 删除冰排
export function delIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'delete',
    data: parameter
  })
}
