import request from '@/utils/request'

// 获取冰排追溯列表
export function getIceRaftNewest(parameter) {
  return request({
    url: '/api/ice-raft/newest-record',
    method: 'get',
    params: parameter
  })
}

// 冰排入库
export function iceraftIn(parameter) {
  return request({
    url: '/api/ice-raft/in-storage',
    method: 'post',
    data: parameter
  })
}

// 冰排出库
export function iceraftOut(parameter) {
  return request({
    url: '/api/ice-raft/out-storage',
    method: 'post',
    data: parameter
  })
}


// 获取历史记录列表
export function getIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'get',
    params: parameter
  })
}

// 编辑历史记录
export function putIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'put',
    data: parameter
  })
}

// 删除历史记录
export function delIceRaftRecord(parameter) {
  return request({
    url: '/api/ice-raft-record',
    method: 'delete',
    data: parameter
  })
}
